Status: New Start date: 02/07/2014
Priority: Normal Due date:
Assignee: % Done: 90%
Category: Estimated time: 0.00 hour
Target version:
Description

From the existing documentation projects on https://docs.cor-lab.org extract the installation instructions for the different mechanisms
and OSes. Make these instructions generic with respect to the actual software project that shall be installed. For each of the methods
provide a single rst file in the tutorial project explaining the installation steps.

The current idea is to take descriptions like "Installing the Debian packages" out of, for example, the rsb-manual and turn them into
templates.

We decided that the initial set of generalized installation descriptions should include

    -  PyPi
    -  Debian packages
    -  Maven

Related issues:
Blocked by CoR-Lab Tutorials - Tasks # 1755: Extract different combinations o... Resolved 02/07/2014

History
#1 - 02/25/2014 04:01 PM - S. Sharma

Johannes Wienke wrote:

From the existing documentation projects on https://docs.cor-lab.org extract the installation instructions for the different mechanisms and OSes. 
Make these instructions generic with respect to the actual software project that shall be installed. For each of the methods provide a single rst file in
the tutorial project explaining the installation steps.

could you please clarify more specifically what is expected through : Make these instructions generic

#2 - 02/25/2014 04:25 PM - J. Moringen

Suchit Sharma wrote:

could you please clarify more specifically what is expected through : Make these instructions generic

Our existing installation instructions are written for specific projects. For example, the instructions for project:rsb contain sentences like

Checkout RSB and its immediate dependencies from “0.11” branch of https://code.cor-lab.org/git/rsb.git.java.
For project-independent instructions, such a sentence has to be changed to make it applicable to arbitrary projects. This will be a difficult problem.

#3 - 02/26/2014 12:29 PM - J. Moringen
- Subject changed from Extract existing installation instructions to Extract existing installation instructions as starting point for generalized templates
- Description updated

#4 - 03/03/2014 12:49 AM - S. Sharma
- % Done changed from 0 to 90

Added initial versions of templates for maven,homebrew,python and debian packages to the repository.Futher changes to these templates will be done
later according to the requirments.

#5 - 12/01/2014 05:24 PM - J. Moringen
- Assignee deleted (S. Sharma)
